package com.cloudcross.ssp.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.model.DspAgent;

/**
 * 创建人：rongying
 * 创建时间：2015.12.11
 * dsp账户服务接口
 */

public interface IDspAgentService{
	
	/**
	 * 获取所有dsp名称
	 * @param paramMap
	 * 			dsp账户名称  
	 * @return 符合条件的列表记录
	 */
	public List<DspAgent> getAllDspName(Map<String,Object> paramMap);
	
	/**
	 * 根据id获取dsp账户信息
	 * 
	 * @param id
	 * 			dsp账户id
	 * @return 符合条件的列表记录
	 */
	public DspAgent getDspAgentById(Long id);
	
	/**
	 * 添加dsp账户
	 * 
	 * @param dspAgent
	 * 				实体对象
	 * @return
	 */
	public boolean addDspAgent(DspAgent dspAgent);
	
	/**
	 * 编辑dsp账户
	 * 
	 * @param dspAgent
	 * 				实体对象
	 * @return
	 */
	public boolean editDspAgent(DspAgent dspAgent);
	
	/**
	 * 验证dsp账户是否符合
	 * 
	 * @param dspAgent
	 * 				实体对象
	 * @return 0代表不符合，否则代表符合。
	 */
	public int isCheck(DspAgent dspAgent);
	
	/**
	 * 查询最大的id - 插入时获取
	 * 
	 * @param paramMap
	 * 				名称和token
	 * @return 下一个id的值
	 */
	public Long selectMaxId(Map<String,Object> paramMap);
	
	//查找所有的dsp
	public List<DspAgent> findAllAgent();
	
	/**
	 * 校验身份
	 * 
	 * @param paramMap
	 * 				dspId和token
	 * @return 下一个id的值
	 */
	public Long checkIdentity(Map<String,Object> paramMap);
	
}
